package org.apache.jmeter.junit;

import junit.framework.*;

import org.apache.jmeter.junit.protocol.http.config.HttpConfigSuite;
import org.apache.jmeter.junit.protocol.http.control.HttpControlSuite;

/*************************
 *  Title: Apache JMeter Description: Copyright: Copyright (c) 2000 Company:
 *  Apache Foundation
 *
 *@author     Michael Stover
 *@created    $Date: 2000/12/22 01:41:46 $
 *@version    1.0
 ************************/

public class AllTests
{

	/*************************
	 *  Constructor for the AllTests object
	 ************************/
	public AllTests()
	{
	}

	/*************************
	 *  The main program for the AllTests class
	 *
	 *@param  args  The command line arguments
	 ************************/
	public static void main(String[] args)
	{
		TestSuite suite = suite();
		TestResult results = new TestResult();
		suite.run(results);
	}

	public static TestSuite suite()
	{
		TestSuite suite = new TestSuite();
		suite.addTest(HttpConfigSuite.suite());
		suite.addTest(HttpControlSuite.suite());
		return suite;
	}




}
