package org.apache.jmeter.samplers;

import java.util.*;
import org.apache.jmeter.config.*;

/**
 * Title:        Apache JMeter
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Apache Foundation
 * @author Michael Stover
 * @version 1.0
 */

public class NewEntry implements Cloneable {

	Map configSet;
	Class sampler;

	public NewEntry()
	{
		configSet = new HashMap();
	}

	Class getSamplerCLass()
	{
		return sampler;
	}

	public void setSamplerClass(Class samplerClass)
	{
		this.sampler = sampler;
	}

	public void addConfigElement(ConfigElement config)
	{
		ConfigElement current = (ConfigElement)configSet.get(config.getClass());
		if(current == null)
		{
			configSet.put(config.getClass(),config);
		}
		else
		{
			current.addConfigElement(config);
		}
	}

	public Object getProperty(Class configClass,String key)
	{
		return ((ConfigElement)configSet.get(configClass)).getProperty(key);
	}

	public Object clone()
	{
		try
		{
			return super.clone();
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
		return null;
	}


}